Name:           python-rockpool
Version:        2.9.2.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Python package for developing, simulating and training spiking neural networks, and deploying on neuromorphic hardware

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        AGPL-3.0-or-later
URL:            https://github.com/SynSense/rockpool
Source:         %{pypi_source rockpool}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rockpool' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rockpool
Summary:        %{summary}

%description -n python3-rockpool %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-rockpool all,brian,docs,dynapse,exodus,extras,jax,nir,numba,sinabs,tests,torch,xylo


%prep
%autosetup -p1 -n rockpool-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,brian,docs,dynapse,exodus,extras,jax,nir,numba,sinabs,tests,torch,xylo


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rockpool -f %{pyproject_files}


%changelog
%autochangelog